/*
---------------------------------------------------------------------------
 $Revision: 1.1.2.2.4.1 $                                                                 
 $Date: 2013/07/23 12:16:22 $  

 NAME: cxa_ecv_rebuild_dates_for_special_runs.sas

 TYPE: Stored process

 DESCRIPTION: 

 SAS VERSION:
 9.3
                                                 
 INPUT:
 
 OUTPUT:
 
 CALLS:
      
 CALLED BY (optional):

 PRECONDITIONS (optional):

 POSTCONDITIONS (optional):

 HISTORY:
 userid yyyymmdd defectid desc    
 sinsuj 20130722 S0993615 Commented ods HTML section of the code
------------------------------------------------------------------------------
 Copyright (c) 2005-2012, SAS Institute Inc., Cary, NC, USA, All Rights Reserved 
------------------------------------------------------------------------------
*/
%global calledFromStoredProcess cxaloadhistory;

*ProcessBody;

%STPBEGIN;

OPTIONS VALIDVARNAME=ANY;
%macro ExtendValidMemName;
    %if %sysevalf(&sysver>=9.3) %then options validmemname=extend;
%mend ExtendValidMemName;
%ExtendValidMemName;

%let calledFromStoredProcess=YES;
%cxa_ecvPreProcess(DONOTPROCESSRUNFILES)
%cxa_ecvGetTableNames(cxaloadhistory)
%cxa_ecvMakeLoadHistoryCopy(
  &cxaLoadHistory
  ,out=work.cxaLoadHistory
  ,retVar=makeRetVar
  )
%cxa_ecvCreateDatePickers(work.cxaLoadHistory)

/*ods html;
data _null_;
    NOTE="Stored Process Complete";
    output;
    file print ods;
    put _ods_ ;
run;
ods html close;
*/
%STPEND;
